function rgb(r,g,b)
   return math.floor(r)*65536+math.floor(g)*256+math.floor(b)
end

local mesh=Mesh.new()
local size=50

for i=1,1000 do
  local vstart=(i-1)*4
  local istart=(i-1)*6
  
  local x = math.random(100)
  local y = math.random(100)

  mesh:setVertex(vstart+1,x+0,y+0)
  mesh:setVertex(vstart+2,x+size,y+0)
  mesh:setVertex(vstart+3,x+size,y+size)
  mesh:setVertex(vstart+4,x+0,y+size)
  
  local r = math.random(255)
  local g = math.random(255)
  local b = math.random(255)
  local a = math.random()

  local hexcol=rgb(r,g,b)
  
  mesh:setColor(vstart+1,hexcol,a)
  mesh:setColor(vstart+2,hexcol,a)
  mesh:setColor(vstart+3,hexcol,a)
  mesh:setColor(vstart+4,hexcol,a)
  
  mesh:setIndex(istart+1,vstart+1)
  mesh:setIndex(istart+2,vstart+2)
  mesh:setIndex(istart+3,vstart+3)
  mesh:setIndex(istart+4,vstart+1)
  mesh:setIndex(istart+5,vstart+3)
  mesh:setIndex(istart+6,vstart+4)
end

stage:addChild(mesh)
mesh:setY(100)

-- Mem and fps
local sceneDebug = SceneDebug.new()
sceneDebug:addEventListener( Event.ENTER_FRAME, sceneDebug.update, sceneDebug )
stage:addChild( sceneDebug )
